# bitmap_allocator.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file bitmap_allocator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace __gnu_cxx::__detail

## Classes

- class __gnu_cxx::__detail::__mini_vector< _Tp >
    __mini_vector<> is a stripped down version of the full-fledged std::vector<>. More...
- struct __gnu_cxx::__detail::__mv_iter_traits< _Tp >
- struct __gnu_cxx::__detail::__mv_iter_traits< _Tp * >
- class __gnu_cxx::__detail::_Bitmap_counter< _Tp >
    The bitmap counter which acts as the bitmap manipulator, and manages the bit-manipulation functions and the searching and identification functions on the bit-map. More...
- class __gnu_cxx::__detail::_Ffit_finder< _Tp >
    The class which acts as a predicate for applying the first-fit memory allocation policy for the bitmap allocator. More...
- class __gnu_cxx::__detail::_Functor_Ref< _Functor >
- class __gnu_cxx::__detail::_Inclusive_between< _Tp >
- class __gnu_cxx::bitmap_allocator< _Tp >
    Primary template. More...
- struct __gnu_cxx::bitmap_allocator< _Tp >::rebind< _Tp1 >
- class __gnu_cxx::bitmap_allocator< void >
- struct __gnu_cxx::bitmap_allocator< void >::rebind< _Tp1 >
- class __gnu_cxx::free_list
    The free list class for managing chunks of memory to be given to and returned by the bitmap_allocator. More...

## Defines

- #define _BALLOC_ALIGN_BYTES
- #define _BITMAP_ALLOCATOR_H

## Enumerations

- enum { bits_per_byte, bits_per_block }

## Functions

- void __gnu_cxx::__detail::__bit_allocate (size_t *__pbmap, size_t __pos) throw ()
- void __gnu_cxx::__detail::__bit_free (size_t *__pbmap, size_t __pos) throw ()
- template<typename _InputIterator, typename _Predicate> _InputIterator __gnu_cxx::__detail::__find_if (_InputIterator __first, _InputIterator __last, _Predicate __p)
- template<typename _ForwardIterator, typename _Tp, typename _Compare> _ForwardIterator __gnu_cxx::__detail::__lower_bound (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__val, _Compare __comp)
- template<typename _AddrPair> size_t __gnu_cxx::__detail::__num_bitmaps (_AddrPair __ap)
- template<typename _AddrPair> size_t __gnu_cxx::__detail::__num_blocks (_AddrPair __ap)
- size_t __gnu_cxx::_Bit_scan_forward (size_t __num)
- template<typename _Tp1, typename _Tp2> bool __gnu_cxx::operator!= (const bitmap_allocator< _Tp1 > &, const bitmap_allocator< _Tp2 > &) throw ()
- template<typename _Tp1, typename _Tp2> bool __gnu_cxx::operator== (const bitmap_allocator< _Tp1 > &, const bitmap_allocator< _Tp2 > &) throw ()

## Define Documentation

#define _BALLOC_ALIGN_BYTES

The constant in the expression below is the alignment required in bytes.

Definition at line 49 of file bitmap_allocator.h.